org.apache.cassandra.cql3

## Interface Term.MultiColumnRaw

- All Superinterfaces:
    AssignmentTestable, Term.Raw
  All Known Implementing Classes:
    Tuples.INRaw, Tuples.Literal, Tuples.Raw
  Enclosing interface:
    Term

      public static interface Term.MultiColumnRaw
      extends Term.Raw

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Term` | `prepare(java.lang.String keyspace, java.util.List<? extends ColumnSpecification> receiver)`

    - ### Methods inherited from interface org.apache.cassandra.cql3.Term.Raw

      `prepare`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Method Detail

    - #### prepare

          Term prepare(java.lang.String keyspace,
                       java.util.List<? extends ColumnSpecification> receiver)
                throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation